
GHDL = ghdl
FLAGS ="--std=08"

all:
	$(GHDL) -a $(FLAGS) --work=rtl_gates_modules ../rtl_gates_modules/*.vhd
	$(GHDL) -a $(FLAGS) --work=half_adder_module ../half_adder_module/half_adder.vhd
	$(GHDL) -a $(FLAGS) ../full_adder_module/*.vhd
	$(GHDL) -e $(FLAGS) full_adder_tb
	$(GHDL) -r $(FLAGS) full_adder_tb --wave=full_adder.ghw --stop-time=40000000ns
